ここから質問投稿すると、最大4000ポイント当たる!!!! >>

.NET2.0をインストールしたのですが、アプリケーションの追加と削除で、.NET Framework1.1と2.0が両方あります。
これは別物なのですか?2.0が入っていれば1.1は消してもいいのでしょうか?

また、VB.NETの参照の設定をみると、1.1のdllしか参照していません。
どのように2.0にアップデートすればいいのでしょうか?

このQ&Aに関連する最新のQ&A

A 回答 (2件)

Framework2.0 と1.1は基本的に別物のはずです。


ですから、1.1を消してしまうと動かなくなるものもあるかと思います。
むしろ「共存できる」のがウリという感じですから、残したほうがよいでしょう。

VB.NETが1.1を参照していると言うことはつまり、Visual Studio 2003ですね。2.0対応にするには、Visual Studio 2005を入れるのが本道でしょう。
2003でいくら「最新版の有無」をチェックしても、2003は1.1の開発環境ですから出てきませんよ。
    • good
    • 0
この回答へのお礼

なるほど、2005じゃないとだめなのですね><
ありがとうございました。

お礼日時:2006/01/27 13:12

>別物なのですか?2.0が入っていれば1.1は消してもいいのでしょうか?


上位互換だとは思いますが、アプリケーションによっては、
バージョンを確認して、1.1のモノを使用しようとすると思いますので、残しておいた方がいいです。

>VB.NETの参照の設定をみると、1.1のdllしか参照していません。
>どのように2.0にアップデートすればいいのでしょうか?
コンソール(通常のコマンドプロンプト、.NET 2003コマンドプロンプトはダメ)、から vbc で2.0が使えます。
開発環境としてのVB.NET自体は、ソフト自体をバージョンアップしないとダメなんじゃないかな・

この回答への補足

ソフトのバージョンアップですか
最新版の有無をチェックを実行しても
最新になってますねー

補足日時:2006/01/26 13:03
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング